Index Page dskgtl_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void dskgtl_c ( SpiceInt        keywrd,
                       SpiceDouble   * dpval  )
#### Abstract
       Retrieve the value of a specified DSK tolerance or margin parameter.
#### Required_Reading
       DSK
#### Keywords
       DSK
       MARGIN
       NUMERIC
       TOLERANCE
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       keywrd     I   Code specifying parameter to retrieve.
       dpval      O   Value of parameter.
#### Detailed_Input
       keywrd     is an integer code specifying the parameter to
                  retrieve. See the include file dsktol.inc for
                  a description of the possible keywords.
#### Detailed_Output
       dpval      is the value of the parameter specified by `keywrd'.
#### Parameters
       See the header file

          SpiceDtl.h

       for descriptions and values of the tolerance or margin parameters
       accessed by this routine, and of the keyword parameters used to
       refer to them.
#### Exceptions
       1)  If the input keyword is not recognized, the error
           SPICE(INDEXOUTOFRANGE) is signaled.
#### Files
       None.
#### Particulars
       The DSK tolerance routines centralize numeric tolerance and margin
       values used by the DSK subsystem. The DSK subsystem retrieves values
       from the DSK tolerance subsystem to use at run time.

       The DSK tolerance access functions are

          dskgtl_c {DSK, get tolerance value}
          dskstl_c {DSK, set tolerance value}

       To minimize run time overhead, the "keywords" used by these routines
       to identify parameters are actually integer codes.

       SPICE users may override certain values maintained by this subsystem;
       others values are fixed. It is recommended that any change to the
       tolerance values made at run time be performed only by expert SPICE
       users.
#### Examples
       1) Obtain and display the DSK type 2 plate expansion fraction:

             #include <stdio.h>
             #include "SpiceUsr.h"

             int main()
             {
                SpiceDouble             dpval;

                dskgtl_c ( SPICE_DSK_KEYXFR, &dpval );

                printf ( "Plate expansion fraction = %e\n", dpval );

                return ( 0 );
             }
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman    (JPL)
#### Version
       -CSPICE Version 1.0.0, 27-FEB-2016 (NJB)
#### Index_Entries
       retrieve dsk tolerance or margin parameters
#### Link to routine dskgtl_c source file dskgtl_c.c

    Wed Apr  5 17:54:32 2017